Page MenuHomePhabricator

Justify text in print styles?
Open, Stalled, HighPublic

Description

From parent task:
“Latex uses justified text layout which is used in books. This is a bit controversial subject in typography. We would like to carry this style forward with default print styles. Justified text will bring better eye scanning of pages.”

This task is meant to collect and discuss possible issues with justified alignment of text.

Related Objects

Event Timeline

Volker_E created this task.Jul 21 2017, 5:12 PM

(Don't want to confuse our workflow by adding this to Kanban board.)

First off, although it's already crossed-out, where is the specific patch for setting the main content to justify?

From my experience it is not a sufficient experience to only use text-align: justify but necessarily needs hyphens especially in languages like German with long words where it might result in overly long white-space between words.
Citing from a similar discussion at https://gerrit.wikimedia.org/r/#/c/349358/, but with opposite challenge of too little space for long words:

Adding hyphens is useful – https://codepen.io/Volker_E/pen/PmzYLR Note the necessary lang attribute, otherwise the browser doesn't know what dictionary to take.

It depends on the installed language packs, the quality of the language pack(?) and browser vendor implementation.

If you don't have German (de) or one of the regional sub-packs, like 'de-de', 'de-at', 'de-ch' installed and the lang attribute isn't set, it won't work. It's not a guarantee, but a, ahem, progressive enhancement chance.

It should be part of https://gerrit.wikimedia.org/r/#/c/366173/6/print.less which is incomplete (I've updated description).... I'm waiting for a review of it before continuing. Don't worry we'll make sure we've done all the parts during our sign off phase.

matmarex removed a subscriber: matmarex.Jul 22 2017, 7:49 PM
Volker_E renamed this task from Justify text in print styles to Justify text in print styles?.Aug 6 2017, 8:09 PM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: TheDJ.Aug 6 2017, 8:19 PM

Should this be a spike?

Nirzar closed this task as Resolved.Aug 30 2017, 5:56 PM
Nirzar claimed this task.
Nirzar added a subscriber: Jan_Dittrich.

Spike not needed. this will be rolled back if we receive substantial feedback. stalling it for now.

Initial reaction from @Jan_Dittrich and @TheDJ was to keep the justify text alignment. It is carry forwarded from Latex

Nirzar reopened this task as Stalled.Aug 30 2017, 5:56 PM
Fito added a subscriber: Fito.Dec 17 2017, 10:02 AM

I’d favor justification only if it’s combined with hyphenation; otherwise, the spacing between words becomes ugly and inconsistent.